# MPIO_Test

Test the completion of a nonblocking read or write

## Synopsis

    int MPIO_Test(MPIO_Request *request, int *flag, MPI_Status *status)

## Input Parameters

request
  request object (handle)

## Output Parameters

flag
  true if operation completed (logical)

status
  status object (Status)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:iotest.c